*** sys/dev/ata/ata-pci.c.orig	Fri Sep 17 15:23:46 2004
--- sys/dev/ata/ata-pci.c	Fri Sep 17 15:37:13 2004
***************
*** 156,161 ****
--- 156,164 ----
      case 0x24db8086:
  	return "Intel ICH5 ATA100 controller";
  
+     case 0x26528086:
+ 	return "Intel ICH6 SATA150 controller";
+ 
      case 0x522910b9:
  	if (pci_get_revid(dev) >= 0xc4)
  	    return "AcerLabs Aladdin ATA100 controller";
***************
*** 634,639 ****
--- 637,643 ----
  	break;
  
      case 0x24d18086:	/* Intel ICH5 SATA150 */
+     case 0x26528086:	/* Intel ICH6 SATA150 */
  	dmastat = ATA_INB(ch->r_bmio, ATA_BMSTAT_PORT);
  	if ((dmastat & (ATA_BMSTAT_ACTIVE | ATA_BMSTAT_INTERRUPT)) !=
  		ATA_BMSTAT_INTERRUPT)
*** sys/dev/ata/ata-dma.c.orig	Wed Dec 31 13:05:16 2003
--- sys/dev/ata/ata-dma.c	Fri Sep 17 15:39:40 2004
***************
*** 218,223 ****
--- 218,224 ----
  
      case 0x24db8086:	/* Intel ICH5 */
      case 0x24d18086:	/* Intel ICH5 SATA */
+     case 0x26528086:	/* Intel ICH6 SATA */
      case 0x24ca8086:	/* Intel ICH4 mobile */
      case 0x24cb8086:	/* Intel ICH4 */
      case 0x248a8086:	/* Intel ICH3 mobile */
